Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:32 2009

## Asterisk developer's documentation

# ast_smoother Struct Reference

Collaboration diagram for ast_smoother:

[legend]

## Data Fields

char | data [SMOOTHER_SIZE]
struct timeval | delivery
struct ast_frame | f
int | flags
int | format
char | framedata [SMOOTHER_SIZE+AST_FRIENDLY_OFFSET]
int | len
struct ast_frame * | opt
int | optimizablestream
int | readdata
float | samplesperbyte
int | size

## Detailed Description

Definition at line 65 of file frame.c.

## Field Documentation

char data[SMOOTHER_SIZE]

Definition at line 74 of file frame.c.

Referenced by __ast_smoother_feed(), and ast_smoother_read().

struct timeval delivery`[read]`

Definition at line 73 of file frame.c.

Referenced by __ast_smoother_feed(), and ast_smoother_read().

struct ast_frame f`[read]`

Definition at line 72 of file frame.c.

Referenced by ast_smoother_read().

int flags

Definition at line 70 of file frame.c.

Referenced by __ast_smoother_feed(), ast_smoother_get_flags(), ast_smoother_read(), and ast_smoother_set_flags().

int format

Definition at line 67 of file frame.c.

Referenced by __ast_smoother_feed(), and ast_smoother_read().

char framedata[SMOOTHER_SIZE+AST_FRIENDLY_OFFSET]

Definition at line 75 of file frame.c.

Referenced by ast_smoother_read().

int len

Definition at line 77 of file frame.c.

Referenced by __ast_smoother_feed(), and ast_smoother_read().

struct ast_frame* opt`[read]`

Definition at line 76 of file frame.c.

Referenced by __ast_smoother_feed(), and ast_smoother_read().

int optimizablestream

Definition at line 69 of file frame.c.

Referenced by __ast_smoother_feed().

int readdata

Definition at line 68 of file frame.c.

float samplesperbyte

Definition at line 71 of file frame.c.

Referenced by __ast_smoother_feed(), and ast_smoother_read().

int size

Definition at line 66 of file frame.c.

Referenced by __ast_smoother_feed(), ast_smoother_read(), and ast_smoother_reset().

The documentation for this struct was generated from the following file:

- frame.c